summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-02-21 07:13:20 +0100
committerMichał Górny <mgorny@gentoo.org>2026-02-21 10:22:33 +0100
commit70cceda4ebeabfd98121a09d777ef67fbc52a686 (patch)
treeae19c115a777f98a6c20b9901bd09d00000259b1 /dev-python
parentae14d18ee9b271dd2d401593c490122297b8dfc2 (diff)
downloadgentoo-70cceda4ebeabfd98121a09d777ef67fbc52a686.tar.gz
gentoo-70cceda4ebeabfd98121a09d777ef67fbc52a686.tar.bz2
gentoo-70cceda4ebeabfd98121a09d777ef67fbc52a686.zip
dev-python/django-polymorphic: Bump to 4.11.1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/django-polymorphic/Manifest1
-rw-r--r--dev-python/django-polymorphic/django-polymorphic-4.11.1.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/dev-python/django-polymorphic/Manifest b/dev-python/django-polymorphic/Manifest
index 1b30d38e4d303..ae4dfac35648b 100644
--- a/dev-python/django-polymorphic/Manifest
+++ b/dev-python/django-polymorphic/Manifest
@@ -1 +1,2 @@
DIST django-polymorphic-4.11.0.gh.tar.gz 352174 BLAKE2B 80e33fdd279b99a02a163e34768d7a396ca5aa1e988c11b259c0a051d0237ae8127ca246ee3e0f5c35395ed5da1e0caf2b2106ed19340207b8d82d66567f24ab SHA512 ecfeb9054d94f699c8fa9050118dc1ec33ae921a3e788117a8ce3d6edf0dbbadb320049e24218fa8041f30b82ff9f32604f345e6ee4b178c0c815160fcd5b1b9
+DIST django-polymorphic-4.11.1.gh.tar.gz 355460 BLAKE2B e846464df9dd5ba0569047322fab9bba97b39ef2dfbaf4d66f16b8769a075c1e8d93b2264ddeb91b72a3e0d8d5d9cbfa84be793dc0d08a28eb6213760f9b3846 SHA512 fece52a96323cc504d4f40b7f2914911178bbd215e74128a026dd968164891302eca140d88f4b0e1a48c1df3ab27523e8e015a9e20c08297324b56e4d6132750
diff --git a/dev-python/django-polymorphic/django-polymorphic-4.11.1.ebuild b/dev-python/django-polymorphic/django-polymorphic-4.11.1.ebuild
new file mode 100644
index 0000000000000..a5a3137d8b3c8
--- /dev/null
+++ b/dev-python/django-polymorphic/django-polymorphic-4.11.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Seamless Polymorphic Inheritance for Django Models"
+HOMEPAGE="
+ https://github.com/jazzband/django-polymorphic/
+ https://pypi.org/project/django-polymorphic/
+"
+SRC_URI="
+ https://github.com/jazzband/django-polymorphic/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/django-4.2[$PYTHON_USEDEP]
+ >=dev-python/typing-extensions-4.12.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/dj-database-url[${PYTHON_USEDEP}]
+ >=dev-python/packaging-24.2[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{django,mock} )
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # requires playwright
+ src/polymorphic/tests/test_admin.py
+ # some of them require playwright, others break subsequent tests
+ src/polymorphic/tests/examples
+ # require django-test-migrations
+ src/polymorphic/tests/test_migration_managers.py
+ src/polymorphic/tests/test_migrations
+ src/polymorphic/tests/test_serialization.py
+ )
+
+ rm -f conftest.py || die
+ epytest -o addopts=
+}